package com.tarena.oss.user.service;

import java.util.Collection;

import com.tarena.oss.user.pojo.User;
import com.tarena.oss.user.pojo.UserCondDTO;

public interface UserMgmtService {
	public void addUser(User user);
	public void modifyUser(User user);
	public void removeUser(Integer id);
	public User findUser(Integer id);
	public Collection<User> findUsers();
	public Collection<User> findUsers(UserCondDTO dto);//DTO ,是一种设计模式,在网罗间携带数据进行传输
	
	public Collection<User> findUsers(int currentPage);
	public Collection<User> findUsers(UserCondDTO dto,int currentPage);
	
	public int findUserCnts();
	public int findUserCntsByCond(UserCondDTO dto);
	
	User login(String userName,String password);
	User queryUserByLoginname(Integer id);

}
